Package org.springframework.cglib.transform.impl

# Class AccessFieldTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.core.ClassEmitter
org.springframework.cglib.transform.ClassEmitterTransformer
org.springframework.cglib.transform.impl.AccessFieldTransformer

public class AccessFieldTransformer extends ClassEmitterTransformer

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AccessFieldTransformer.Callback`

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`AccessFieldTransformer(AccessFieldTransformer.Callback callback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`declare_field(int access, String name, Type type, Object value)`

### Methods inherited from class org.springframework.cglib.core.ClassEmitter

`begin_class, begin_method, begin_static, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, init, setTarget, visit, visitEnd, visitField, visitMethod`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitAnnotation, visitAttribute, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessFieldTransformer

public AccessFieldTransformer(AccessFieldTransformer.Callback callback)

## Method Details

### declare_field

public void declare_field(int access, String name, Type type, Object value)

Overrides:
  `declare_field` in class `ClassEmitter`